Bug 1014664 - Installer does not signal error when DB creation fails
Installer does not signal error when DB creation fails
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 09:52 EDT by Jiri Pechanec
Modified: 2014-02-06 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-10-02 09:52:36 EDT
See bz1014166 for an example.

One of the tables was not created, error is logged in the log file yet installer consider the installation to be successful.

Such an error should be detected and reported to the user.
Comment 2 Thomas Hauser 2013-10-07 10:48:02 EDT
The installer reports errors in the DB creation only when the build.xml reports a failure; the issue in bz1014166 was simply sql not being run. The other errors seen are "normal", such as tables not existing and things like that. Stephen can explain more about this.
Comment 5 Jiri Pechanec 2013-12-13 07:24:20 EST
Verified in ER7

Note You need to log in before you can comment on or make changes to this bug.